#include<iostream>

using namespace std;

const int N=10;

void unos(char a[][N],int n){
    for(int i=0;i<n;i++)
        cin>>a[i];
}
int main(){
    int n,m;
    cin>>n>>m;
    char a[n][N];
    unos(a,n);
    if(m==0){
        for(int i=0;i<n;i++)
            a[i][i]='C';
        for(int i=0;i<n;i++)
            cout<<a[i]<<endl;
    }
    else
        cout<<-1;
}